Subject: Re: Port of tcpdump ?
From: [email-masked] (Sam Birch)

10 Jun 1998 13:18:09 -0700
Message-ID: <[email-masked]>
Reply-To: "Sam Birch" <[email-masked]>
To: "Jerome Gay" <[email-masked]>,
        "Cygwin32 (E-mail)" <[email-masked]>

libcap is the core of tcpdump.  Without it, tcpdump is useless.

I have been thinking about compiling tcpdump myself, but I have come to the
conclusion that if I were to get a console packet sniffer for my NT box, I
would probably want to avoid the extra level of translation that the
cygwin.dll adds when it provides the unix-type sockets.  I may be wrong
about this, but I think that a true "win32" app would perform a lot better,
and packet sniffing is something that I would want streamlined for
efficiency.

Sam

-----Original Message-----
From: Jerome Gay <[email-masked]>
To: Cygwin32 (E-mail) <[email-masked]>
Date: Tuesday, June 09, 1998 3:53 AM
Subject: Port of tcpdump ?

>Folks,
>
>I might be interested in a port of tcpdump for gnu-win32 (B19.1 on NT),
>I tried to build tcpdump 3.4a6 using egcs 1.0.2 and B19.1 :
>creating cache ./config.cache
>checking host system type... i386-pc-cygwin32
>checking target system type... i386-pc-cygwin32
>checking build system type... i386-pc-cygwin32
>checking for gcc... gcc
>checking whether the C compiler (gcc  ) works... yes
>checking whether the C compiler (gcc  ) is a cross-compiler... no
>checking whether we are using GNU C... yes
>checking whether gcc accepts -g... yes
>checking gcc version...
>test: 1: unknown operand
>checking how to run the C preprocessor... gcc -E
>checking for fcntl.h... yes
>checking for malloc.h... yes
>checking for memory.h... yes
>checking for rpc/rpcent.h... no
>checking whether time.h and sys/time.h may both be included... yes
>checking for net/slip.h... no
>checking for vfprintf... yes
>checking for strcasecmp... yes
>checking for ether_ntoa... no
>checking for setlinebuf... no
>checking whether byte ordering is bigendian... no
>checking for main in -ldnet... no
>checking for main in -lrpc... no
>checking return type of signal handlers... void
>checking for sigset... no
>checking for sigaction... yes
>checking for gethostbyname... yes
>checking for socket... yes
>checking for putmsg in -lstr... no
>checking for local pcap library... not found
>checking for main in -lpcap... no
>configure: error: see the INSTALL doc for more info
>
>Is it something I should forget or what ?
>
>Cheers /jerome
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".